Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IFileEditorMapping

    public interface IFileEditorMapping

An association between a file name/extension and a list of known editors for files of that type.

The name and extension can never empty or null. The name may contain the single wild card character (*) to indicate the editor applies to all files with the same extension (e.g. *.doc). The name can never embed the wild card character within itself (i.e. rep*)

This interface is not intended to be implemented by clients.

See Also:
  `IEditorRegistry.getFileEditorMappings()`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IEditorDescriptor` `getDefaultEditor()` Returns the default editor registered for this type mapping.
`IEditorDescriptor[]` `getDeletedEditors()` Returns the list of editors formerly registered for this type mapping which have since been deleted.
`IEditorDescriptor[]` `getEditors()` Returns the list of editors registered for this type mapping.
`String` `getExtension()` Returns the file's extension for this type mapping.
`ImageDescriptor` `getImageDescriptor()` Returns the descriptor of the image to use for a file of this type.
`String` `getLabel()` Returns the label to use for this mapping.
`String` `getName()` Returns the file's name for this type mapping.

Method Detail

### getDefaultEditor

    IEditorDescriptor getDefaultEditor()

  Returns the default editor registered for this type mapping.

  Returns:
    the descriptor of the default editor, or `null` if there is no default editor registered. Will also return `null` if the default editor exists but fails the Expressions check.

### getEditors

    IEditorDescriptor[] getEditors()

  Returns the list of editors registered for this type mapping.

  Returns:
    a possibly empty list of editors.

### getDeletedEditors

    IEditorDescriptor[] getDeletedEditors()

  Returns the list of editors formerly registered for this type mapping which have since been deleted.

  Returns:
    a possibly empty list of editors

### getExtension

    String getExtension()

  Returns the file's extension for this type mapping.

  Returns:
    the extension for this mapping

### getImageDescriptor

    ImageDescriptor getImageDescriptor()

  Returns the descriptor of the image to use for a file of this type.

  The image is obtained from the default editor. A default file image is returned if no default editor is available.

  Returns:
    the descriptor of the image to use for a resource of this type

### getLabel

    String getLabel()

  Returns the label to use for this mapping. Labels have the form "<it>name</it>.<it>extension</it>".

  Returns:
    the label to use for this mapping

### getName

    String getName()

  Returns the file's name for this type mapping.

  Returns:
    the name for this mapping

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.